Latest Beta versions require boost >= 1.60 and chrono to compile

On various Hardware and OS systems: pi / windows / routers / nas, etc
Post Reply
User avatar
waaren
Posts: 1226
Joined: Tuesday 03 January 2017 15:18
Target OS: Raspberry Pi
Domoticz version: Beta
Location: Netherlands
Contact:

Latest Beta versions require boost >= 1.60 and chrono to compile

Post by waaren » Wednesday 30 May 2018 2:05

gizmocuz committed these changes yesterday (20180529) and because I did not have chrono yet in my boost library I had to update it as described here before I could start compiling V3.9530.

So if you compile locally V3.9530 or higher then first check if you have chrono in your boot library.
On debian stretch you can use the following command for that check.

Code: Select all

sudo dpkg --list | grep chrono
Raspberry (debian stretch via berryboot on Synology DS916+) , Domoticz (almost) latest Beta, , dzVents 2.6, RFLink, RFXtrx433e, P1, Youless, Harmony, Hue, Yeelight, Xiaomi, HomeWizard, Zwave, Amazon echo

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests